<main>
    <section>
        <article class="box">
            <h1>Inserir Usuários</h1>
            <p>
                Essa página abstrai a chamada do script que busca os cadastros do LimeSurvey
                e adiciona usuários ao banco de dados.
            </p>
        </article>
    </section>

    <section class="grid">
        <article class="box">
            <h2>Rodar Script</h2>
            <p>
                Após receber a confirmação de que os
                usuários estão sendo inseridos, você pode trocar de página.
                Em alguns minutos aparecerá uma confirmação de que todos os
                usuários foram inseridos, ou que faltaram usuários.
                Se faltarem usuários a serem inseridos,
                por favor volte a essa página e aperte o botão de novo.
            </p>
            <button
                id="botao-insercao"
                type="button"
                hx-get="{{ url_for('bikesp._admin_feedback_insercao') }}"
                hx-swap="none"
                hx-on:click="this.disabled = true;">
                Inserir Usuários!
            </button>
        </article>
    </section>
</main>
<div
	id="listener-insercao"
	hx-post="{{ url_for('bikesp._admin_insercao_usuarios') }}"
	hx-trigger="click from:#botao-insercao"
	hx-swap="none"
	hx-swap-oob="outerHTML:#listener-insercao"
	hx-on::after-request="document.getElementById('botao-insercao').disabled = false;">
</div>